setInfos(1, "Intro (de)", "Main introduction / first script, in german",
		"Doti, Banjo", "complete", 0xFFEEEE, "de", []);
if(!loadString("intro.likemale")) {
	setImage("knocker.jpg");
	show("Herzlich Willkommen");
	wait(2);
	setImage(null);
	show("Haftungsausschluss: Die Autoren dieses Tools und Skripts haften in keiner Weise für "+
		"die Verwendung dieses Tools. Die Verwendung bedeutet, dass du diese Bedingungen akzeptierst.\n"+
		"Es gibt keine Garantien jeglicher Art, weder ausdrücklich noch stillschweigend, einschließlich, aber nicht "+
		"beschränkt auf die stillschweigenden Garantien der Marktgängigkeit, der Eignung für einen bestimmten Zweck "+
		"oder der Nichtverletzung von Rechten.\n\n"+
		"Texte, Bilder, Photos, Töne und andere Ressourcen gehören ihren jeweiligen Eigentümern.\n\n"+
		"Warnung: Die Verwendung dieses Tools kann Techniken und Praktiken beinhalten, die gefährlich oder gesundheitsschädlich sein können. \n"+
		"BENUTZUNG AUF EIGENE GEFAHR.");
	waitWithGauge(10);
	if(!getBoolean("Ich habe verstanden, ich stimme zu und ich bin 18 Jahre alt oder älter."))
		exit();
	setImage("knocker.jpg");
	show("Zuallererst konfigurieren wir beide dieses Programm. Wir werden mit ein paar Fragen beginnen.");
	wait(6);
	def name = getString("Wie ist dein Name, hier?", "Sklave");
	save("intro.name", name);
	def woman = getBoolean("Bist du eine Frau?");
	save("intro.female", woman);
	def likefemale = getBoolean("Fühlst du dich zu Frauen hingezogen?");
	save("intro.likefemale", likefemale);
	def likemale = true;
	if(likefemale)
		likemale = getBoolean("Fühlst du dich zu Männern hingezogen?");
	save("intro.likemale", likemale);
	save("intro.start_script", "intro");
	if(getBoolean("Glaubst du, dass sich deine Internet-Verbindung hinter einem Proxy befindet?")) {
		def noProxyStr = "finally.no.proxy"
		def proxyHost = getString("Wie lautet der Host deines Proxy?",noProxyStr)
		if(proxyHost!=noProxyStr) {
			save("properties.http.proxyHost", proxyHost)
			save("properties.http.proxyPort",
				getString("Wie lautet der Port deines Proxy?","8888"))
			noProxyStr = "no.user"
			def proxyUser = getString("Wie lautet der Benutzername deines Proxy?",noProxyStr)
			if(proxyUser!=noProxyStr) {
				save("properties.http.proxyUser",proxyUser)
				save("properties.http.proxyPassword",
						getString("Wie lautet das Password deines Proxy?","1234"))
			}
		}
		show("gespeichert")
		wait(2)
	}
	show("Du solltest nun die Kleidung und Spielzeuge angeben die du besitzt.\n\n"+
			"Du Kannst danach die Menüs oben verwenden um die Skripte zuladen, so bleiben Sie in Kontakt mit mir oder meinen Freunden.");
	wait(5);
	save("intro.running", true);
	if(!["de","en","es","fr","it","nl"].contains(Locale.getDefault().getLanguage()) &&
			getBoolean("Überprüfen Schrift-Konfiguration?"))
		return "fontconfiguration";
	if(getBoolean("Konfigurieren der Spielzeug Optionen?"))
		return "toys";
	if(getBoolean("Konfigurieren der Frauen Kleidung Optionen?"))
		return "womensclothes";
	if(getBoolean("Konfigurieren der Herren Kleidung Optionen?"))
		return "mensclothes";
	show("Einführung beendet, Du kannst nun öber das Menü ein Skript starten (im Lieferumfang enthalten oder unter https://ss.deviatenow.com herunterladen)")
	save("intro.running", null);
} else {
	if(loadBoolean("intro.likefemale"))
		if(loadBoolean("intro.likemale"))
			if(getRandom(2)==0)
				setImage("default-female.jpg");
			else
				setImage("default-male.jpg");
		else
			setImage("default-female.jpg");
	else
		setImage("default-male.jpg");
	if(loadInteger("intro.launch.nb")<3)
		show("Hallo, "+loadString("intro.name")+"\n\n"+
			"Verwende das Menü und laden Sie ein Skript.\n\n"+
			"Denke daran, du kannst Skripte ändern und sogar selber Skripte erstellen; Du findest Hilfe auf https://ss.deviatenow.com");
	else
		show("Hallo, "+loadString("intro.name"));
}

// This script, from https://ss.deviatenow.com, is protected by this licence :
// CC-by-NC, see http://creativecommons.org/licenses/by-nc/3.0/

/*
 * Resources
 * scripts/intro_de.groovy
 * images/default-female.jpg
 */
